# UtilsShims.ConfiguratorInitData

[common-core/src/utils/shims](/rubens/rubens-sdk/rubens-sdk-reference/modules/common_core_src_utils_shims.md).ConfiguratorInitData

## Hierarchy

* **`ConfiguratorInitData`**

  ↳ [`InitDataDefinition`](/rubens/rubens-sdk/rubens-sdk-reference/interfaces/common_core_src_utils_shims.initdatadefinition.md)

## Table of contents

### Properties

* [animateCamera](#animatecamera)
* [applyCurrentGlobalParameters](#applycurrentglobalparameters)
* [cameraRestriction](#camerarestriction)
* [cameraSpacing](#cameraspacing)
* [floorMaterialsTag](#floormaterialstag)
* [highlighting](#highlighting)
* [horizontalCameraAngle](#horizontalcameraangle)
* [initialFloorMaterial](#initialfloormaterial)
* [ls](#ls)
* [maxHorizontalCameraAngle](#maxhorizontalcameraangle)
* [maxVerticalCameraAngle](#maxverticalcameraangle)
* [minHorizontalCameraAngle](#minhorizontalcameraangle)
* [minVerticalCameraAngle](#minverticalcameraangle)
* [offlineSync](#offlinesync)
* [showInfos](#showinfos)
* [showPrice](#showprice)
* [transparentBackground](#transparentbackground)
* [transparentHighlighting](#transparenthighlighting)
* [verticalCameraAngle](#verticalcameraangle)
* [zoomDistance](#zoomdistance)

## Properties

### animateCamera

• `Optional` **animateCamera**: `boolean`

**`Description`**

If set to false the camera will just jump to a new position\
default: true\
usage: animateCamera=false

**`Groups`**

scene-settings

***

### applyCurrentGlobalParameters

• `Optional` **applyCurrentGlobalParameters**: `boolean`

**`Description`**

If set to true it will try to apply all current global parameters to the loaded object

***

### cameraRestriction

• `Optional` **cameraRestriction**: `number`

**`Description`**

When set this param restricts the camera rotation to the given angle (e.g. 45 degree), this overrides minHorizontalCameraAngle and maxHorizontalCameraAngle\
default: not set -> no camera restriction\
usage: cameraRestriction=45

**`Groups`**

scene-settings

***

### cameraSpacing

• `Optional` **cameraSpacing**: `number`

**`Description`**

Adds the given spacing (in centimeters) to the loaded object. This is then used to calculate the initial camera distance\
default: 0\
usage:\
cameraSpacing=100, zoom out further by increasing camera spacing by 100 centimeters\
cameraSpacing=-30, zoom in further by decreasing camera spacing by 30 centimeters

**`Groups`**

scene-settings

***

### floorMaterialsTag

• `Optional` **floorMaterialsTag**: `string`

**`Deprecated`**

**`Description`**

define which floors to load

***

### highlighting

• `Optional` **highlighting**: `string`

**`Description`**

Sets the behavior of the highlighting of a hovered component.\
usage: highlighting=smart

***

### horizontalCameraAngle

• `Optional` **horizontalCameraAngle**: `number`

**`Description`**

Sets the default/initial horizontal camera angle (yaw)\
default: -30\
usage: horizontalCameraAngle=45

**`Groups`**

scene-settings

***

### initialFloorMaterial

• `Optional` **initialFloorMaterial**: `string`

**`Description`**

Set the floor material which is used when loading the configurator\
For different options see [@roomle/web-sdk/configurator-core/src/environment/dynamic-environment-setting-loader#EnvironmentSetting](/rubens/rubens-sdk/rubens-sdk-reference/modules/common_core_src_utils_shims.md)

***

### ls

• `Optional` **ls**: `string`

**`Description`**

Load a predefined light setting, eg: ls=sofa

**`Groups`**

scene-settings

***

### maxHorizontalCameraAngle

• `Optional` **maxHorizontalCameraAngle**: `number`

**`Description`**

When set this param restricts the right/horizontal camera rotation to the given angle (e.g. 45 degree)\
default: not set -> no camera angle restriction\
usage: maxHorizontalCameraAngle=45

**`Groups`**

scene-settings

***

### maxVerticalCameraAngle

• `Optional` **maxVerticalCameraAngle**: `number`

**`Description`**

When set this param restricts the up/vertical camera rotation to the given angle (e.g. 45 degree)\
default: not set -> no camera angle restriction\
usage: maxVerticalCameraAngle=45

**`Groups`**

scene-settings

***

### minHorizontalCameraAngle

• `Optional` **minHorizontalCameraAngle**: `number`

**`Description`**

When set this param restricts the left/horizontal camera rotation to the given angle (e.g. 45 degree)\
default: not set -> no camera angle restriction\
usage: minHorizontalCameraAngle=45

**`Groups`**

scene-settings

***

### minVerticalCameraAngle

• `Optional` **minVerticalCameraAngle**: `number`

**`Description`**

When set this param restricts the down/vertical camera rotation to the given angle (e.g. 45 degree)\
default: not set -> no camera angle restriction\
usage: minVerticalCameraAngle=45

**`Groups`**

scene-settings

***

### offlineSync

• `Optional` **offlineSync**: `string`

**`Deprecated`**

**`Description`**

Download all necessary files to run the configurator in offline mode

***

### showInfos

• `Optional` **showInfos**: `boolean`

**`Deprecated`**

**`Description`**

Shows partlist if there are no prices

***

### showPrice

• `Optional` **showPrice**: `boolean`

**`Deprecated`**

**`Description`**

Show price label using prices from configuration script

***

### transparentBackground

• `Optional` **transparentBackground**: `boolean`

**`Description`**

If set to true, the background is transparent and allows elements behind the configurator to be visible through the scene.\
usage: transparentBackground=true

**`Groups`**

scene-settings

***

### transparentHighlighting

• `Optional` **transparentHighlighting**: `boolean`

**`Description`**

If set to true, components which are between the camera and the selected component/preview will be rendered transparent\
usage: transparentHighlighting=true

**`Groups`**

scene-settings

***

### verticalCameraAngle

• `Optional` **verticalCameraAngle**: `number`

**`Description`**

Sets the default/initial vertical camera angle (pitch)\
default: 10\
usage: verticalCameraAngle=45

**`Groups`**

scene-settings

***

### zoomDistance

• `Optional` **zoomDistance**: `number`

**`Description`**

Set the distance to which the user can zoom (in centimeters).\
default: object size divided by 10 or 10 cm\
usage: zoomDistance=3

**`Groups`**

scene-settings


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.roomle.com/rubens/rubens-sdk/rubens-sdk-reference/interfaces/common_core_src_utils_shims.configuratorinitdata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
